package com.sooka.system.gas.zenner_gas_meter_infor.domain;

import com.sooka.common.annotation.Excel;
import com.sooka.system.domain.BaseBusinessEntity;
import lombok.Getter;
import lombok.Setter;

/**
 * 真兰收费系统-表具信息对象
 *
 * @author lei
 * @date 2022-08-22
 */
@Getter
@Setter
public class TGuijiZennerGasMeterInfor extends BaseBusinessEntity
{
    private static final long serialVersionUID = 1L;

    /** 序号 */
    @Excel(name = "序号")
    private String id;

    /** 插入时间 */
    @Excel(name = "插入时间")
    private String cdTime;

    /** 批次号 */
    @Excel(name = "批次号")
    private String cdBatch;

    /** 标志位 */
    @Excel(name = "标志位")
    private String cdOperation;

    /** 数据来源 */
    @Excel(name = "数据来源")
    private String cdSource;

    /** GUID */
    @Excel(name = "GUID" )
    private String GUID;

    /** 用户GUID */
    @Excel(name = "用户GUID" )
    private String VC_MI_USERGUID;

    /** 气表编号 */
    @Excel(name = "气表编号" )
    private String VC_MI_NO;

    /** 卡号 */
    @Excel(name = "卡号" )
    private String VC_MI_CARDNO;

    /** 左|右表 */
    @Excel(name = "左|右表" )
    private String VC_MI_DIRECTION;

    /** 表具条码 */
    @Excel(name = "表具条码" )
    private String VC_MI_TIMA;

    /** 抄表员 */
    @Excel(name = "抄表员" )
    private String VC_MI_CHAOBIAO;

    /** 气表基数 */
    @Excel(name = "气表基数" )
    private String N_MI_BASECOUNT;

    /** 初始气量 */
    @Excel(name = "初始气量" )
    private String N_MI_BASELEAVE;

    /** 表状态(0停用1使用2换表3退表4销表) */
    @Excel(name = "表状态" )
    private String VC_MI_STATE;

    /** 累计充值次数 */
    @Excel(name = "累计充值次数" )
    private String I_MI_SALECOUNT;

    /** 累计无线充值次数 */
    @Excel(name = "累计无线充值次数" )
    private String I_MI_WLSALECOUNT;

    /** 累计发卡次数 */
    @Excel(name = "累计发卡次数" )
    private String I_MI_FILLCARDCOUNT;

    /** 气表备注 */
    @Excel(name = "气表备注" )
    private String VC_MI_REMARK;

    /** 上报次数 */
    @Excel(name = "上报次数" )
    private String I_MI_REPORTCOUNT;

    /** 创建时间 */
    @Excel(name = "创建时间" )
    private String D_MI_CREATETIME;

    public String getGuid()
    {
        return GUID;
    }

    public String getVcmiuserguid()
    {
        return VC_MI_USERGUID;
    }

    public String getVcmino()
    {
        return VC_MI_NO;
    }

    public String getVcmicardno()
    {
        return VC_MI_CARDNO;
    }

    public String getVcmidirection()
    {
        return VC_MI_DIRECTION;
    }

    public String getVcmitima()
    {
        return VC_MI_TIMA;
    }

    public String getVcmichaobiao()
    {
        return VC_MI_CHAOBIAO;
    }

    public String getNmibasecount()
    {
        if (N_MI_BASECOUNT == null){
            return null;
        }else {
            return N_MI_BASECOUNT.startsWith(".")?(0+N_MI_BASECOUNT):N_MI_BASECOUNT;
        }
    }

    public String getNmibaseleave()
    {
        if (N_MI_BASELEAVE == null){
            return null;
        }else {
            return N_MI_BASELEAVE.startsWith(".")?(0+N_MI_BASELEAVE):N_MI_BASELEAVE;
        }
    }

    public String getVcmistate()
    {
        if(VC_MI_STATE == null){
            return null;
        }else {
            //(0停用1使用2换表3退表4销表)
            String state = VC_MI_STATE;
            switch (VC_MI_STATE){
                case "0":
                    state = "停用";
                    break;
                case "1":
                    state = "使用";
                    break;
                case "2":
                    state = "换表";
                    break;
                case "3":
                    state = "退表";
                    break;
                case "4":
                    state = "销表";
                    break;
            }
            return state;
        }
    }

    public String getImisalecount()
    {
        return I_MI_SALECOUNT;
    }

    public String getImiwlsalecount()
    {
        return I_MI_WLSALECOUNT;
    }

    public String getImifillcardcount()
    {
        return I_MI_FILLCARDCOUNT;
    }

    public String getVcmiremark()
    {
        return VC_MI_REMARK;
    }

    public String getImireportcount()
    {
        return I_MI_REPORTCOUNT;
    }

    public String getDmicreatetime()
    {
        if(D_MI_CREATETIME == null){
            return null;
        }else {
            return D_MI_CREATETIME.replace(".000", "");
        }
    }
}
